using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Models
{
    public class CodeEntity
    {
        private string _changchi = "";
        /// <summary>
        /// 场次
        /// </summary>
        public string ChangChi
        {
            get { return _changchi; }
            set { _changchi = value; }
        }

        private List<string> _onecodelist = new List<string>();
        /// <summary>
        /// 单个投注号码列表
        /// </summary>
        public List<string> OneCodeList
        {
            get { return _onecodelist; }
            set { _onecodelist = value; }
        }


        public override string ToString()
        {
            if (string.IsNullOrEmpty(ChangChi) || ChangChi == "0")
            {
                return string.Join(",", OneCodeList.ToArray());
            }
            return string.Format("{0}→[{1}]", ChangChi, string.Join(",", OneCodeList.ToArray()));
        }

        public CodeEntity()
        { }
    }
}
